Subject: [PATCH v5 3/3] ARM: OMAP2+: onenand: prepare for gpmc driver migration

From: [email-masked] (Tony Lindgren)
Date: Wed, 27 Jun 2012 07:58:45 -0700

* Afzal Mohammed <[email-masked]> [120626 23:53]:
> Reorganize gpmc-onenand initialization so that changes
> required for gpmc driver migration can be made smooth.
> 
> Ensuring sync read/write are disabled in onenand cannot
> be expected to work properly unless GPMC is setup, this
> has been removed.
> 
> Refactor set_async_mode & set_sync_mode functions to
> separate out timing calculation & actual configuration
> (GPMC & OneNAND side).

The last patch in this series causes onenand not to show
up on my n900. I believe the problem has been there earlier
too, but I just did not notice it.

Without the last patch in this series I get:

[    1.650207] OneNAND driver initializing
[    1.655487] omap2-onenand omap2-onenand: initializing on CS0, phys base 0x04000000, virtual base d0880000, freq 83 MHz
[    1.666931] OneNAND Manufacturer: Numonyx (0x20)
[    1.671905] Muxed OneNAND 256MB 1.8V 16-bit (0x40)
[    1.676971] OneNAND version = 0x0031
[    1.918762] Creating 6 MTD partitions on "omap2-onenand":

And with this patch applied I get:

[    1.634643] OneNAND driver initializing
[    1.640075] omap2-onenand omap2-onenand: initializing on CS0, phys base 0x04000000, virtual base d0880000, freq 54 MHz
[    1.651519] OneNAND Manufacturer: Unknown (0xa0)

Any ideas?

Tony